import { Location } from "./elem";

/**
 * HTML解析错误
 */
export class ParseError extends Error {
	#location: Location;
	constructor(location: Location, message: string) {
		super(message);
		this.#location = location;
	}

	get location(): Location {
		return this.#location;
	}
}