import path from "path";
import { Module } from "./module"

/**
 * 渲染HTML页面
 * @param filename 模板文件路径
 * @param data 要渲染的数据
 * @returns 渲染好的HTML页面
 */
export function render(filename: string, data: any) {
	filename = path.resolve(process.cwd(), filename);
	return Module.get(filename).resolve()(data);
}
